%global sounds_dir %{_datadir}/asterisk/sounds

%define version 1.4.11
%define sversion mm20110915

Summary: Extra Sounds for Asterisk, The Open Source PBX
Name: asterisk-sounds-extra-it
Version: %{version}
Release: 1%{dist}
License: GPL
Group: Utilities/System
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Source10: http://voip.ammdomus.it/pub/asterisk-extra-sounds-it-wav-%{version}-%{sversion}.tar.gz
Source11: http://voip.ammdomus.it/pub/asterisk-extra-sounds-it-alaw-%{version}-%{sversion}.tar.gz
Source12: http://voip.ammdomus.it/pub/asterisk-extra-sounds-it-gsm-%{version}-%{sversion}.tar.gz
Source13: http://voip.ammdomus.it/pub/asterisk-extra-sounds-it-sln16-%{version}-%{sversion}.tar.gz
BuildArch: noarch
URL: http://www.asterisk.org
Vendor: Lux
Packager: Lux <luigi@iotti.biz>

%description
Asterisk is an open source PBX and telephony development platform.  Asterisk
can both replace a conventional PBX and act as a platform for the
development of custom telephony applications for the delivery of dynamic
content over a telephone; similar to how one can deliver dynamic content
through a web browser using CGI and a web server.

Asterisk supports a variety of telephony hardware including BRI, PRI, POTS,
and IP telephony clients using the Inter-Asterisk eXchange (IAX) protocol (e.g.
gnophone or miniphone).  For more information and a current list of supported
hardware, see http://www.asterisk.org


%package wav
Summary: Asterisk extra sounds - it - wav.
Group: Utilities/System
Provides: %{name} = %{version}-%{release}
Requires(pre): %{_sbindir}/groupadd
Requires(pre): %{_sbindir}/useradd

%pre wav
# Taken from *.spec
%{_sbindir}/groupadd -r asterisk &>/dev/null || :
%{_sbindir}/useradd  -r -s /sbin/nologin -d /var/lib/asterisk -M \
                               -c 'Asterisk User' -g asterisk asterisk &>/dev/null || :

%package alaw
Summary: Asterisk extra sounds - it - alaw.
Group: Utilities/System
Provides: %{name} = %{version}-%{release}
Requires(pre): %{_sbindir}/groupadd
Requires(pre): %{_sbindir}/useradd

%pre alaw
%{_sbindir}/groupadd -r asterisk &>/dev/null || :
%{_sbindir}/useradd  -r -s /sbin/nologin -d /var/lib/asterisk -M \
                               -c 'Asterisk User' -g asterisk asterisk &>/dev/null || :

%package wideband
Summary: Asterisk extra sounds - it - sln16
Group: Utilities/System
Provides: %{name} = %{version}-%{release}
Requires(pre): %{_sbindir}/groupadd
Requires(pre): %{_sbindir}/useradd

%pre wideband
%{_sbindir}/groupadd -r asterisk &>/dev/null || :
%{_sbindir}/useradd  -r -s /sbin/nologin -d /var/lib/asterisk -M \
                               -c 'Asterisk User' -g asterisk asterisk &>/dev/null || :

%description wav
This package contains Asterisk extra sounds - it - wav.

%description alaw
This package contains Asterisk extra sounds - it - alaw.

%description wideband
This package contains Asterisk extra sounds - it - sln16.

%prep

%build

%install
rm -rf %{buildroot}
mkdir -p $RPM_BUILD_ROOT%{sounds_dir}

tar xof %SOURCE10 -C $RPM_BUILD_ROOT%{sounds_dir}
touch $RPM_BUILD_ROOT%{sounds_dir}/.asterisk-extra-sounds-it-wav-%{version}

tar xof %SOURCE11 -C $RPM_BUILD_ROOT%{sounds_dir}
touch $RPM_BUILD_ROOT%{sounds_dir}/.asterisk-extra-sounds-it-alaw-%{version}

tar xof %SOURCE13 -C $RPM_BUILD_ROOT%{sounds_dir}
touch $RPM_BUILD_ROOT%{sounds_dir}/.asterisk-extra-sounds-it-sln16-%{version}

rm -f $RPM_BUILD_ROOT%{sounds_dir}/it/*.{txt,odt,pdf}
rm -f $RPM_BUILD_ROOT%{sounds_dir}/it/{CHANGES-*,CREDITS-*,LICENSE-*}

%post

%clean
cd $RPM_BUILD_DIR
%{__rm} -rf %{name}-%{version}
%{__rm} -rf /var/log/%{name}-sources-%{version}-%{release}.make.err
%{__rm} -rf $RPM_BUILD_ROOT

%files wav
%defattr(-, root, root)
%attr(0664,asterisk,asterisk) %{sounds_dir}/it/*.wav
%attr(0664,asterisk,asterisk) %{sounds_dir}/it/*/*.wav
%attr(0664,asterisk,asterisk) %{sounds_dir}/.asterisk-extra-sounds-it-wav-%{version}

%files alaw
%defattr(-, root, root)
%attr(0664,asterisk,asterisk) %{sounds_dir}/it/*.alaw
%attr(0664,asterisk,asterisk) %{sounds_dir}/it/*/*.alaw
%attr(0664,asterisk,asterisk) %{sounds_dir}/.asterisk-extra-sounds-it-alaw-%{version}

%files wideband
%defattr(-, root, root)
%attr(0664,asterisk,asterisk) %{sounds_dir}/it/*.sln16
%attr(0664,asterisk,asterisk) %{sounds_dir}/it/*/*.sln16
%attr(0664,asterisk,asterisk) %{sounds_dir}/.asterisk-extra-sounds-it-sln16-%{version}
